Update a tool.
curl --request PATCH \
--url https://api.zavu.dev/v1/senders/{senderId}/agent/tools/{toolId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"parameters": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
},
"webhookUrl": "<string>",
"webhookSecret": "<string>",
"enabled": true
}
'{
"tool": {
"id": "<string>",
"agentId": "<string>",
"name": "get_order_status",
"description": "<string>",
"parameters": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
},
"webhookUrl": "<string>",
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tool updated.
Show child attributes
curl --request PATCH \
--url https://api.zavu.dev/v1/senders/{senderId}/agent/tools/{toolId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"parameters": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
},
"webhookUrl": "<string>",
"webhookSecret": "<string>",
"enabled": true
}
'{
"tool": {
"id": "<string>",
"agentId": "<string>",
"name": "get_order_status",
"description": "<string>",
"parameters": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
},
"webhookUrl": "<string>",
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}